Bug 708631 - Broken depends system-config-keyboard
Broken depends system-config-keyboard
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-keyboard (Show other bugs)
15
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
: Patch, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-28 09:30 EDT by Pavel Zhukov
Modified: 2011-08-23 00:38 EDT (History)
2 users (show)

See Also:
Fixed In Version: system-config-keyboard-1.3.1-5.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-23 23:32:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch of spec file (324 bytes, patch)
2011-05-28 09:38 EDT, Pavel Zhukov
no flags Details | Diff

  None (edit)
Description Pavel Zhukov 2011-05-28 09:30:13 EDT
Description of problem:
system-config-keyboard must depends from dbus-python

Version-Release number of selected component (if applicable):
system-config-keyboard-1.3.1-4.fc15.x86_64


How reproducible:
Install minimal system. Try launch system-config-keyboard
  
Actual results:
python traceback and "No module named dbus"

Additional info:
after installation dbus-python system-config-keyboard works
Comment 1 Pavel Zhukov 2011-05-28 09:38:34 EDT
Created attachment 501478 [details]
patch of spec file
Comment 2 Pavel Zhukov 2011-06-04 15:44:34 EDT
More than 7 days non-responsible.
http://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers
Comment 3 Fedora Update System 2011-06-17 11:10:07 EDT
system-config-keyboard-1.3.1-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/system-config-keyboard-1.3.1-5.fc15
Comment 4 Fedora Update System 2011-06-17 11:10:21 EDT
system-config-keyboard-1.3.1-5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/system-config-keyboard-1.3.1-5.fc14
Comment 5 Fedora Update System 2011-06-17 11:10:34 EDT
system-config-keyboard-1.3.1-5.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/system-config-keyboard-1.3.1-5.fc13
Comment 6 Toshio Ernie Kuratomi 2011-06-17 11:14:11 EDT
Thanks to Itamar for pointing this out.  I've built a package with this patch, please test it and leave bodhi comments if it's good to push to stable.
Comment 7 Fedora Update System 2011-06-21 13:09:27 EDT
Package system-config-keyboard-1.3.1-5.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-keyboard-1.3.1-5.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/system-config-keyboard-1.3.1-5.fc15
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2011-06-23 23:32:25 EDT
system-config-keyboard-1.3.1-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2011-08-23 00:38:37 EDT
system-config-keyboard-1.3.1-5.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.